Verify a Microdeposit
curl --request PUT \
--url https://int-api.mx.com/micro_deposits/{micro_deposit_guid}/verify \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"micro_deposit": {
"deposit_amount_1": 0.09,
"deposit_amount_2": 0.09
}
}
'import requests
url = "https://int-api.mx.com/micro_deposits/{micro_deposit_guid}/verify"
payload = { "micro_deposit": {
"deposit_amount_1": 0.09,
"deposit_amount_2": 0.09
} }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({micro_deposit: {deposit_amount_1: 0.09, deposit_amount_2: 0.09}})
};
fetch('https://int-api.mx.com/micro_deposits/{micro_deposit_guid}/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"micro_deposit": [
{
"account_number": "3331261",
"account_type": "CHECKING",
"routing_number": "091000019",
"account_name": "My test account",
"email": "joshyboy2@example.com",
"first_name": "Joshy",
"last_name": "Grobanne",
"error_message": null,
"guid": "MIC-09ba578e-8448-4f7f-89e1-b62ff2517edb",
"institution_code": "mxbank",
"institution_name": "MX Bank",
"status": "INITIATED",
"updated_at": "2023-06-01T19:18:06Z",
"verified_at": null
}
]
}Microdeposits
Verify a microdeposit
Use this endpoint to verify the amounts deposited into the account during a microdeposit verification. The verification has not successfully completed until the microdeposit status is VERIFIED. Poll the Read a Microdeposit endpoint until you see this status or an error state.
PUT
/
micro_deposits
/
{micro_deposit_guid}
/
verify
Verify a Microdeposit
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier for the microdeposit. Defined by MX.
Body
application/json
Response
200 - application/json
OK
Hide child attributes
Hide child attributes
Example:
"3331261"
Example:
"CHECKING"
Example:
"091000019"
Example:
"My test account"
Example:
"joshyboy2@example.com"
Example:
"Joshy"
Example:
"Grobanne"
Example:
null
Example:
"MIC-09ba578e-8448-4f7f-89e1-b62ff2517edb"
Example:
"mxbank"
Example:
"MX Bank"
Example:
"INITIATED"
Example:
"2023-06-01T19:18:06Z"
Example:
null
⌘I

